Bug 49318 - scrollkeeper fails the rpmlint testing
scrollkeeper fails the rpmlint testing
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: scrollkeeper (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-17 19:18 EDT by Panic
Modified: 2013-04-02 00:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-18 15:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panic 2001-07-17 19:18:17 EDT
Description of Problem: scrollkeeper-0.2-3 fails the rpmlint testing sequence.


How Reproducible:

Always

Steps to Reproduce:
1. run the command "rpmlint scrollkeeper" on a Fairfax beta2 system
2. observe the errors
3. 

Actual Results:

Here's the error message:

E: scrollkeeper executable-in-library-package /usr/bin/scrollkeeper-install
E: scrollkeeper executable-in-library-package /usr/bin/scrollkeeper-uninstall
E: scrollkeeper executable-in-library-package /usr/bin/scrollkeeper_toc
E: scrollkeeper executable-in-library-package /usr/bin/scrollkeeper-update
E: scrollkeeper executable-in-library-package /usr/bin/scrollkeeper-preinstall
E: scrollkeeper executable-in-library-package /usr/bin/scrollkeeper-get-cl
W: scrollkeeper devel-file-in-non-devel-package /usr/lib/libscrollkeeper.so
W: scrollkeeper devel-file-in-non-devel-package /usr/lib/libscrollkeeper.a
W: scrollkeeper dangerous-command-in-%pre rm
W: scrollkeeper dangerous-command-in-%post rm
W: scrollkeeper dangerous-command-in-%postun rm

Expected Results:

test completion with no problems.

Additional Information:
Comment 1 Glen Foster 2001-07-18 15:42:28 EDT
Yes, rpmlint complains a bit about this package, but there are more serious
errors to be found; these probably aren't showstopper kinds of issues.  I'll
leave the bug open anyway in case someone wants to take a look at them.
Comment 2 Jay Turner 2002-03-18 21:50:06 EST
This is cleaned up for scrollkeeper-0.3.4-3.

Note You need to log in before you can comment on or make changes to this bug.